-- 基础信息
base_info = {
	group_id = 133003046
}

-- DEFS_MISCS
defs = {
        group_id = 133003046,
        gadget_prison_list = {46001},
        gadget_guide = {46057,46058, 46059},
        bait_list = {
                [1] = { 46053, 46054, 46055},
                [2] = { 46060, 46061, 46062},
                [3] = { 46063, 46064, 46065},
        },
        duration = 210,
        rampage_time = 40,
        gadget_energy =  46056,
        galleryId = 7024,
        eye_point =  46071,
}


local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 46076, 46077, 46078, 46079, 46080, 46081}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[46001] = { config_id = 46001, gadget_id = 70800087, pos = { x = 2599.752, y = 224.081, z = -1579.916 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, level = 10, area_id = 1 },
	[46002] = { config_id = 46002, gadget_id = 44000253, pos = { x = 2584.113, y = 232.865, z = -1519.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46003] = { config_id = 46003, gadget_id = 44000253, pos = { x = 2604.514, y = 231.379, z = -1514.275 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 1 },
	[46004] = { config_id = 46004, gadget_id = 44000253, pos = { x = 2590.444, y = 232.529, z = -1508.402 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46005] = { config_id = 46005, gadget_id = 44000253, pos = { x = 2593.832, y = 232.693, z = -1503.484 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 1 },
	[46006] = { config_id = 46006, gadget_id = 44000257, pos = { x = 2588.698, y = 232.521, z = -1509.592 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 1 },
	[46007] = { config_id = 46007, gadget_id = 44000257, pos = { x = 2615.912, y = 232.024, z = -1511.845 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46008] = { config_id = 46008, gadget_id = 44000257, pos = { x = 2616.410, y = 232.405, z = -1515.957 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 1 },
	[46009] = { config_id = 46009, gadget_id = 44000257, pos = { x = 2627.049, y = 236.037, z = -1518.456 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 1 },
	[46010] = { config_id = 46010, gadget_id = 44000257, pos = { x = 2572.018, y = 233.230, z = -1541.281 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 1 },
	[46011] = { config_id = 46011, gadget_id = 44000257, pos = { x = 2574.969, y = 232.950, z = -1550.083 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 1 },
	[46012] = { config_id = 46012, gadget_id = 44000257, pos = { x = 2572.695, y = 233.181, z = -1545.247 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 1 },
	[46013] = { config_id = 46013, gadget_id = 44000253, pos = { x = 2592.297, y = 228.434, z = -1565.732 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 1 },
	[46014] = { config_id = 46014, gadget_id = 44000253, pos = { x = 2645.922, y = 241.639, z = -1518.763 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46015] = { config_id = 46015, gadget_id = 44000253, pos = { x = 2581.639, y = 232.808, z = -1552.561 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46016] = { config_id = 46016, gadget_id = 44000253, pos = { x = 2567.506, y = 235.059, z = -1522.040 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46017] = { config_id = 46017, gadget_id = 44000253, pos = { x = 2593.414, y = 229.911, z = -1545.817 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 1 },
	[46018] = { config_id = 46018, gadget_id = 44000253, pos = { x = 2604.066, y = 229.880, z = -1531.476 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46019] = { config_id = 46019, gadget_id = 44000257, pos = { x = 2609.141, y = 228.471, z = -1540.238 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 1 },
	[46020] = { config_id = 46020, gadget_id = 44000257, pos = { x = 2611.928, y = 228.781, z = -1553.664 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 1 },
	[46021] = { config_id = 46021, gadget_id = 44000253, pos = { x = 2631.774, y = 234.091, z = -1541.957 }, rot = { x = 344.897, y = 29.953, z = 9.106 }, level = 10, area_id = 1 },
	[46022] = { config_id = 46022, gadget_id = 44000253, pos = { x = 2637.833, y = 235.877, z = -1546.397 }, rot = { x = 2.499, y = 9.400, z = 3.865 }, level = 10, area_id = 1 },
	[46023] = { config_id = 46023, gadget_id = 44000253, pos = { x = 2635.621, y = 235.489, z = -1549.760 }, rot = { x = 357.444, y = 56.941, z = 12.653 }, level = 10, area_id = 1 },
	[46024] = { config_id = 46024, gadget_id = 44000253, pos = { x = 2623.051, y = 236.031, z = -1565.055 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46025] = { config_id = 46025, gadget_id = 44000257, pos = { x = 2616.838, y = 236.581, z = -1566.968 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46026] = { config_id = 46026, gadget_id = 44000257, pos = { x = 2617.731, y = 223.675, z = -1584.919 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 1 },
	[46027] = { config_id = 46027, gadget_id = 44000253, pos = { x = 2591.735, y = 229.562, z = -1560.263 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 1 },
	[46028] = { config_id = 46028, gadget_id = 44000257, pos = { x = 2592.950, y = 233.222, z = -1522.429 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46029] = { config_id = 46029, gadget_id = 44000257, pos = { x = 2624.387, y = 234.636, z = -1504.410 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46030] = { config_id = 46030, gadget_id = 44000257, pos = { x = 2617.825, y = 233.224, z = -1523.872 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46031] = { config_id = 46031, gadget_id = 44000257, pos = { x = 2611.613, y = 228.949, z = -1548.927 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46032] = { config_id = 46032, gadget_id = 44000257, pos = { x = 2624.445, y = 232.526, z = -1544.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46033] = { config_id = 46033, gadget_id = 44000257, pos = { x = 2626.526, y = 232.736, z = -1546.429 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46034] = { config_id = 46034, gadget_id = 44000257, pos = { x = 2587.244, y = 233.681, z = -1523.139 }, rot = { x = 355.493, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46035] = { config_id = 46035, gadget_id = 44000257, pos = { x = 2580.127, y = 233.490, z = -1537.631 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46036] = { config_id = 46036, gadget_id = 44000257, pos = { x = 2573.370, y = 233.716, z = -1534.132 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46037] = { config_id = 46037, gadget_id = 44000253, pos = { x = 2571.638, y = 233.277, z = -1512.410 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46038] = { config_id = 46038, gadget_id = 44000253, pos = { x = 2602.592, y = 226.240, z = -1569.633 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46039] = { config_id = 46039, gadget_id = 44000253, pos = { x = 2604.597, y = 226.400, z = -1570.933 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46040] = { config_id = 46040, gadget_id = 44000253, pos = { x = 2613.356, y = 236.924, z = -1569.944 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46041] = { config_id = 46041, gadget_id = 44000253, pos = { x = 2609.020, y = 233.129, z = -1568.731 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46042] = { config_id = 46042, gadget_id = 44000257, pos = { x = 2623.906, y = 233.091, z = -1551.777 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46043] = { config_id = 46043, gadget_id = 44000257, pos = { x = 2619.717, y = 231.484, z = -1542.230 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46044] = { config_id = 46044, gadget_id = 44000257, pos = { x = 2621.094, y = 232.210, z = -1537.323 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46045] = { config_id = 46045, gadget_id = 44000257, pos = { x = 2643.537, y = 240.580, z = -1525.000 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46046] = { config_id = 46046, gadget_id = 44000257, pos = { x = 2581.683, y = 233.855, z = -1534.506 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46047] = { config_id = 46047, gadget_id = 44000257, pos = { x = 2592.315, y = 233.978, z = -1528.751 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 1 },
	[46048] = { config_id = 46048, gadget_id = 44000257, pos = { x = 2600.925, y = 231.893, z = -1524.549 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46049] = { config_id = 46049, gadget_id = 44000257, pos = { x = 2625.196, y = 234.870, z = -1505.366 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 1 },
	[46050] = { config_id = 46050, gadget_id = 44000257, pos = { x = 2633.234, y = 237.827, z = -1519.013 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 1 },
	[46051] = { config_id = 46051, gadget_id = 44000257, pos = { x = 2613.025, y = 231.013, z = -1522.611 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 1 },
	[46052] = { config_id = 46052, gadget_id = 44000257, pos = { x = 2612.516, y = 232.707, z = -1503.126 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵1
	[46053] = { config_id = 46053, gadget_id = 44000107, pos = { x = 2565.204, y = 225.620, z = -1562.978 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵2
	[46054] = { config_id = 46054, gadget_id = 44000107, pos = { x = 2565.228, y = 225.620, z = -1564.755 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46055] = { config_id = 46055, gadget_id = 44000107, pos = { x = 2565.214, y = 225.620, z = -1566.354 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 能量球随机点1
	[46056] = { config_id = 46056, gadget_id = 44000105, pos = { x = 2593.104, y = 231.944, z = -1513.079 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 1 },
	-- 场景猎人引导1
	[46057] = { config_id = 46057, gadget_id = 44000106, pos = { x = 2601.065, y = 225.838, z = -1571.038 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景猎人引导1
	[46058] = { config_id = 46058, gadget_id = 44000106, pos = { x = 2599.772, y = 225.782, z = -1571.075 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景猎人引导1
	[46059] = { config_id = 46059, gadget_id = 44000106, pos = { x = 2598.507, y = 225.765, z = -1571.645 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46060] = { config_id = 46060, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46061] = { config_id = 46061, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46062] = { config_id = 46062, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46063] = { config_id = 46063, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46064] = { config_id = 46064, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	-- 场景诱饵3
	[46065] = { config_id = 46065, gadget_id = 44000107, pos = { x = 2567.056, y = 233.378, z = -1541.018 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46066] = { config_id = 46066, gadget_id = 70800059, pos = { x = 2600.925, y = 257.740, z = -1558.874 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 1 },
	[46067] = { config_id = 46067, gadget_id = 44000253, pos = { x = 2576.786, y = 233.112, z = -1545.937 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 1 },
	[46068] = { config_id = 46068, gadget_id = 44000257, pos = { x = 2614.829, y = 232.925, z = -1504.126 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46069] = { config_id = 46069, gadget_id = 70800107, pos = { x = 2600.925, y = 248.200, z = -1542.906 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 1 },
	[46082] = { config_id = 46082, gadget_id = 44000257, pos = { x = 2597.367, y = 227.306, z = -1604.457 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46083] = { config_id = 46083, gadget_id = 44000257, pos = { x = 2595.452, y = 227.483, z = -1604.457 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46084] = { config_id = 46084, gadget_id = 44000257, pos = { x = 2582.200, y = 227.272, z = -1586.409 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46085] = { config_id = 46085, gadget_id = 44000257, pos = { x = 2580.285, y = 227.261, z = -1586.409 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46086] = { config_id = 46086, gadget_id = 44000253, pos = { x = 2569.230, y = 229.870, z = -1600.278 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46087] = { config_id = 46087, gadget_id = 44000253, pos = { x = 2571.433, y = 229.584, z = -1597.786 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46088] = { config_id = 46088, gadget_id = 44000253, pos = { x = 2558.487, y = 241.846, z = -1566.695 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 1 },
	[46089] = { config_id = 46089, gadget_id = 44000257, pos = { x = 2561.483, y = 234.124, z = -1574.757 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 },
	[46090] = { config_id = 46090, gadget_id = 44000257, pos = { x = 2563.398, y = 233.739, z = -1572.923 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 1 }
}

-- 区域
regions = {
	[46070] = { config_id = 46070, shape = RegionShape.SPHERE, radius = 200, pos = { x = 2567.656, y = 225.620, z = -1563.218 }, area_id = 1 },
	[46071] = { config_id = 46071, shape = RegionShape.SPHERE, radius = 80, pos = { x = 2596.911, y = 230.771, z = -1537.225 }, area_id = 1 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 46072, pos = { x = 2599.752, y = 224.088, z = -1579.871 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, area_id = 1 },
	{ config_id = 46073, pos = { x = 2598.507, y = 225.765, z = -1571.645 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, area_id = 1 },
	{ config_id = 46074, pos = { x = 2599.772, y = 225.782, z = -1571.075 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, area_id = 1 },
	{ config_id = 46075, pos = { x = 2601.065, y = 225.838, z = -1571.038 }, rot = { x = 0.000, y = 357.392, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46076, pos = { x = 2593.104, y = 231.981, z = -1513.091 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46077, pos = { x = 2602.397, y = 228.726, z = -1553.270 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46078, pos = { x = 2612.560, y = 236.145, z = -1563.634 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46079, pos = { x = 2620.028, y = 234.987, z = -1517.195 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46080, pos = { x = 2567.045, y = 226.046, z = -1554.518 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 },
	-- 能量随机点1
	{ config_id = 46081, pos = { x = 2569.544, y = 232.042, z = -1583.073 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 1 }
}

-- 变量
variables = {
}

-- 视野组
sight_groups = {
	{ 46001, 46057, 46058, 46059, 46056 }
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 46001 },
		regions = { 46070, 46071 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 46002, 46003, 46004, 46005, 46006, 46007, 46008, 46009, 46010, 46011, 46012, 46013, 46014, 46015, 46016, 46017, 46018, 46019, 46020, 46021, 46022, 46023, 46024, 46025, 46026, 46027, 46028, 46029, 46030, 46031, 46032, 46033, 46034, 46035, 46036, 46037, 46038, 46039, 46040, 46041, 46042, 46043, 46044, 46045, 46046, 46047, 46048, 46049, 46050, 46051, 46052, 46068, 46082, 46083, 46084, 46085, 46086, 46087, 46088, 46089, 46090 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = 预留,
		monsters = { },
		gadgets = { 46066, 46067, 46069 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = 预留,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_4/HideAndSeek_Gallery_V2"
require "V2_4/HideAndSeek_Skill_V2"
